Description:

Creates a planar curves by intersecting a plane with a point cloud.

Syntax:
public Curve[] CreateContourCurves(
Point3d contourStart,
Point3d contourEnd,
double interval,
double absoluteTolerance
)
Parameters:
  • contourStart
  • Type: Point3d
  • Start point for vector that is normal to contour plane.
  • contourEnd
  • Type: Point3d
  • End point for vector that is normal to contour plane.
  • interval
  • Type: double
  • he interval or distance between contours.
  • absoluteTolerance
  • Type: double
  • The document's model absolute tolerance
Returns:
Type: Curve[]
The intersection curves if successful, an empty array if unsuccessful.
Available since:
8.0

Description:

Creates a planar curves by intersecting a plane with a point cloud.

Syntax:
public Curve[] CreateContourCurves(
Point3d startPoint,
Point3d endPoint,
double interval,
double absoluteTolerance,
double maxDistance,
double minDistance,
bool openCurves,
bool createSpline,
bool createPolyline,
double fitTolerance
)
Parameters:
  • startPoint
  • Type: Point3d
  • Start point for vector that is normal to contour plane.
  • endPoint
  • Type: Point3d
  • End point for vector that is normal to contour plane.
  • interval
  • Type: double
  • he interval or distance between contours.
  • absoluteTolerance
  • Type: double
  • The document's model absolute tolerance
  • maxDistance
  • Type: double
  • Maximum distance to plane. The thickness of the "slab" around the plane from which sample points are taken. Those sample points are projected to the section plane and a polyline is found that connects them. This distance depends on the size of the point cloud and the spacing of the points.
  • minDistance
  • Type: double
  • Minimum distance between points. A threshold for the minimum spacing between adjacent sample points. If there are points closer than that, some are not used.
  • openCurves
  • Type: bool
  • True for open, False for closed.
  • createSpline
  • Type: bool
  • Creates a smooth curve. You can create both a curve and a polyline.
  • createPolyline
  • Type: bool
  • Creates a polyline. You can create both a curve and a polyline.
  • fitTolerance
  • Type: double
  • The tolerance used to fit the curve through the polyline.
Returns:
Type: Curve[]
The intersection curves if successful, an empty array if unsuccessful.
Available since:
8.0

/
/
/
CreateContourCurves

CreateContourCurves method

Class:  Rhino.Geometry.PointCloud

Nothing found